# Generated by Django 2.0.13 on 2019-02-16 17:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Name', max_length=128)),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
            },
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subject', models.CharField(help_text='Subject', max_length=128)),
                ('amount', models.FloatField(help_text='Transaction Amount')),
                ('date', models.DateTimeField(auto_now_add=True, help_text='Creation date', verbose_name='created at')),
                ('_type', models.PositiveIntegerField(choices=[(0, 'Withdrawal'), (1, 'Deposit')], default=0, help_text='Transaction type', verbose_name='Type')),
                ('category', models.ForeignKey(help_text='Category', on_delete=django.db.models.deletion.CASCADE, to='trackers.Category')),
            ],
            options={
                'verbose_name': 'Transaction',
                'verbose_name_plural': 'Transactions',
            },
        ),
    ]
